数据
GET https://xlin.cc/api/data/
curl --request GET \
--url 'https://xlin.cc/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| type | 可选 字符串 | 您正在搜索哪个字段。允许的值是:email_collector, phone_collector, contact_collector, appointment_calendar。 |
| datetime_field | 可选 字符串 | 允许的值:datetime |
| datetime_start | 可选 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值是:datum_id, datetime。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 每页您想要多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为25。 |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-27 15:13:51",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xlin.cc/api/data?page=1",
"last": "https://xlin.cc/api/data?page=1",
"next": null,
"prev": null,
"self": "https://xlin.cc/api/data?page=1"
}
}
GET https://xlin.cc/api/data/{datum_id}
curl --request GET \
--url 'https://xlin.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-27 15:13:51",
}
}
DELETE https://xlin.cc/api/data/{datum_id}
curl --request DELETE \
--url 'https://xlin.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \